Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

CONNECT EAP

Reading type information

  • Last UpdatedNov 02, 2026
  • 2 minute read

Retrieving the details of a common type

Querying for common types is done through the GET /api/v2/types endpoint. Retrieve a single type by specifying its ID, as in this example:

GET /api/v2/types/MyType

Simple bulk read

You can use the ids query string parameter when performing a GET to provide a list of specific IDs to retrieve. For example:

GET /api/v2/types?ids=First&ids=Second&ids=Third

This usage is deprecated.

Queries

Type Management also supports the query parameter:

GET /api/v2/types?query=<expression>

This will perform a search for types that contain the given string in any of the common type's top-level string fields:

  • ID

  • Name

  • Description

  • BaseTypeId

  • SubgraphId

  • Tags

For example, this request:

GET /api/v2/types?query=Foo

will return a type with the substring "foo" in any of the indicated fields.

Filters

Type Management also supports standard expression filtering syntax. This is done using the filter query string parameter. Supported operators include:

Operator

Function

Example

eq

Equal to

id eq 'BaseDocument'

ne

Not equal

value ne 3.0

ge

Greater than or equal to

volume ge 300

le

Less than or equal to

volume le 750

lt

Less than

price lt 20

gt

Greater than

price gt 10

and

And logical operator

volume ge 750 and price lt 7.50

not

Not logical operator

not IsSystemDefined

()

Precedence grouping

not (value eq 0 or count eq 0)

contains

Contains

value contains 'efg'

startsWith

Starts with

value startsWith 'ab'

endsWith

Ends with

value endsWith 'yz'

Offset pagination

Type Management supports pagination through the skip and count query string parameters. For example, a request like this:

GET /api/v2/types?skip=300&count=100

will return a page of 100 types starting at the 301st record.

Bulk read

The bulk read endpoint provides enhanced functionality for retrieving types.

IncludeAncestors

If you include the query string parameter includeAncestors=true, then returned types include ancestor types in the hierarchy.

AncestorFilter

You can use filter expressions (for example, includeAncestors=true&ancestorFilter=not+IsSystemDefined) to selectively filter out the ancestor types returned.

In This Topic
Related Links